Name:           xc3sprog
Version:        792
Release:        1%{?dist}
Summary:        utilities for programming Xilinx FPGAs

License:        GPLv2+
URL:            http://xc3sprog.sourceforge.net/
Source0:        https://sourceforge.net/projects/xc3sprog/files/xc3sprog_%{version}.git.tar.bz
Patch0:         xc3sprog-sailer.patch

BuildRequires:  libusb-devel
BuildRequires:  libftdi-devel
BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  cmake

%global debug_package %{nil}

%description
xc3sprog is a suite of utilities for programming Xilinx FPGAs, CPLDs,
and EEPROMs with the Xilinx Parallel Cable and other JTAG adapters
under Linux.

%prep
%setup -n %{name}
git checkout -- .
%patch0 -p0 -b .jnx


%build
export CXXFLAGS="$CXXFLAGS -fPIC"
%cmake .
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
install -d $RPM_BUILD_ROOT/%{_libdir}
install libxc3sproglib.so $RPM_BUILD_ROOT/%{_libdir}

%files
%license COPYING
%doc Contributors PERFORMANCE README Readme.DLC10 Readme.JTAG_Timing ToDo
%{_bindir}/bitparse
%{_bindir}/detectchain
%{_bindir}/javr
%{_bindir}/jedecparse
%{_bindir}/readdna
%{_bindir}/srecparse
%{_bindir}/xc2c_warp
%{_bindir}/xc3sprog
%{_libdir}/libxc3sproglib.so


%changelog
* Tue Jun  9 2020 Thomas Sailer <t.sailer@alumni.ethz.ch> - 792
- initial package
